Moderator: madimar

Post by fashionbrasil » Sun Mar 09, 2014 10:30 pm

Salve ragazzi,

ho trasferito il mio sito opencart v. 1.5.1.3 da un dominio a l'altro e funzionava perfettamente adesso però quando provo ad entrare nel mio sito visualizzo una pagina bianca, praticamente è proprio sparito il template.


Gli error_log, vengono scritti questi errori:

[09-Mar-2014 14:58:54 Europe/Rome] PHP Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/tfashion/public_html/vqmod/vqmod.php on line 317
[09-Mar-2014 14:58:54 Europe/Rome] PHP Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/tfashion/public_html/vqmod/vqmod.php on line 317
[09-Mar-2014 14:58:54 Europe/Rome] PHP Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/tfashion/public_html/vqmod/vqmod.php on line 317
[09-Mar-2014 14:58:54 Europe/Rome] PHP Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /home/tfashion/public_html/system/database/mysql.php on line 6

Quindi qualcuno mi puoi dire cosa sta succedendo per favore.

Grazie a tutti ???

Newbie

Posts

Joined
Tue Jun 11, 2013 12:08 am


Post by melbagnato » Mon Mar 10, 2014 2:56 pm

Hi there,

it looks like you are using a server with a later version of the php engine.

The mysql extension and preg_replace() are officially deprecated as of PHP v5.5.0.

You have 3 choices:

(1) Suppress Error messages by setting error_reporting in php.ini to exclude E_DEPRECATED:

(2) Change the code to use the new MySQLi or PDO functions

(3) Ask your host to allow you to use a version of PHP that is earlier than 5.5.0

The best option is number (3) - also, I would never do option (1) but I've included it for completeness. Option (2) should really only be done by the OpenCart core development team so that you retain your upgrade path.

Hope this helps.

- Mel

http://online.enterpriseconsulting.com.au

Site with OpenCart extensions & code downloads, many new extensions coming soon!
Follow us on twitter for more updates

Image


User avatar
Active Member

Posts

Joined
Wed Jan 13, 2010 1:39 pm
Location - Melbourne

Post by fashionbrasil » Wed Mar 12, 2014 1:00 am

Hi Mel,
I asked the host to use the previous version, but I have confirmed that I have to change the preg_replace to preg_replace_callback, now I have no idea how to make this change, you could tell me how I can make the change. I would be happy to get you a gift if you help me to solve this problem.

I instalato an extension for the mistakes of the database.php called: http://www.opencart.com/index.php?route ... arch=mysql

my site is http://www.fashionbrasil.it/

Thanks a thousand and

Everton

Newbie

Posts

Joined
Tue Jun 11, 2013 12:08 am


Post by melbagnato » Wed Mar 12, 2014 8:50 pm

Hi Everton,

unfortunately, preg_replace_callback takes different input types to the older preg_replace function.

This means that each line of code that uses this function will need to be rewritten, as well as a new callable function to pass to that line of code.

Also, preg_replace is used more than 30 times across 16 files within OpenCart, and 6 times across 2 files within vqmod.

I would love to help, but this modification is really a job for the central development team.

- Mel

http://online.enterpriseconsulting.com.au

Site with OpenCart extensions & code downloads, many new extensions coming soon!
Follow us on twitter for more updates

Image


User avatar
Active Member

Posts

Joined
Wed Jan 13, 2010 1:39 pm
Location - Melbourne

Post by melbagnato » Wed Mar 12, 2014 9:27 pm

Hi Everton,

I might be able to write a vqmod file to fix this, but only during the weekend. I can send it to you for testing if you like. Can you tell me which version of vqmod you are using ?

- Mel

http://online.enterpriseconsulting.com.au

Site with OpenCart extensions & code downloads, many new extensions coming soon!
Follow us on twitter for more updates

Image


User avatar
Active Member

Posts

Joined
Wed Jan 13, 2010 1:39 pm
Location - Melbourne

Post by fashionbrasil » Thu Mar 13, 2014 6:17 am

Hi Mel,
Thank you very much for your attention.
The site uses the version 2.4.1, Vabene for me over the weekend.
Thank you so much and let me know when you've done and how much you take for this work.
Sincerely
Everton

Newbie

Posts

Joined
Tue Jun 11, 2013 12:08 am


Post by madimar » Thu Mar 13, 2014 7:27 pm

Sinceramente, a parte il prezioso aiuto di melbagnato, io avrei insistito con l'hosting sul fatto di usare php 5.4. Normalmente un hosting provider che si rispetti non impone una scelta di questo tipo. Di che host si tratta se posso permettermi?

M

-----------------------------------------------------------------------
My last mods: Partita IVA e CF | Pro EU VAT Number | Sales Agents | Pricelist Pro
-----------------------------------------------------------------------


User avatar
Active Member

Posts

Joined
Thu Sep 24, 2009 6:27 pm


Post by fashionbrasil » Thu Mar 13, 2014 11:32 pm

Ciao Madimar,

Host in questione è Serverplan.

Grazie

Everton

Newbie

Posts

Joined
Tue Jun 11, 2013 12:08 am


Post by fashionbrasil » Fri Mar 14, 2014 12:16 am

Salve Madimar,

ecco cosa mi hanno risposto quando gli ho chiesto di utilizzare la versione precedenti.

Gentile Cliente,

Le versioni precedenti di PHP sono alla fine del ciclo di vita e conseguentemente non più supportate conservando tutte le falle di sicurezza trovate dall'ultimo update eseguito dal PHP, occorre esclusivamente aggiornare il codice del sito al fine di proteggere il Suo sito e i Suoi dati.

Newbie

Posts

Joined
Tue Jun 11, 2013 12:08 am


Post by madimar » Fri Mar 14, 2014 2:51 pm

Capisco, beh server plan é un signor provider, anche se forse questo è un eccesso di zelo.
M

Inviato dal mio X909 utilizzando Tapatalk

-----------------------------------------------------------------------
My last mods: Partita IVA e CF | Pro EU VAT Number | Sales Agents | Pricelist Pro
-----------------------------------------------------------------------


User avatar
Active Member

Posts

Joined
Thu Sep 24, 2009 6:27 pm


Post by melbagnato » Sat Mar 15, 2014 8:20 pm

Hi Everton,

Here is a replacement vqmod.php file for version 2.4.1, copy it to the "\website\vqmod\" directory.

It replaces the file that created the errors you listed in your opening post.

Are you getting the "preg_replace" error anywhere else ?

Also, can you confirm what version of php your website is running ?

Let me know if this works.

- Mel

Attachments

Replacement file for vqmod 2.4.1


http://online.enterpriseconsulting.com.au

Site with OpenCart extensions & code downloads, many new extensions coming soon!
Follow us on twitter for more updates

Image


User avatar
Active Member

Posts

Joined
Wed Jan 13, 2010 1:39 pm
Location - Melbourne

Post by fashionbrasil » Sun Mar 16, 2014 2:40 am

Hi Mel,

I copied the file but does not work, you have an email where I can send you your login FTP and ADMIN for a check?

Thank you so much for the help.

Everton

Newbie

Posts

Joined
Tue Jun 11, 2013 12:08 am


Post by melbagnato » Sun Mar 16, 2014 6:32 am

Mel.bagnato enterpriseconsulting.com.au

http://online.enterpriseconsulting.com.au

Site with OpenCart extensions & code downloads, many new extensions coming soon!
Follow us on twitter for more updates

Image


User avatar
Active Member

Posts

Joined
Wed Jan 13, 2010 1:39 pm
Location - Melbourne

Post by flanders » Sun Mar 16, 2014 8:20 pm

Quello è un problema di Opencart con i server che utilizzano php version 5.5.x

C'è un plugin gratuito che risolve il problema, almeno a me in locale me lo ha risolto (utilizzo xampp che ha installato di base un php 5.5.x).

http://www.opencart.com/index.php?route ... n_id=13041

segui la semplicissima guida e vedrai che tutto si risolve.

Color Size Table - A table for Colors and Sizes
Super Options - Options with quantities and calculate the upgrade total price automatically
Live New Price with Options - Update price product selecting options
Custom Plus Options - My Extensions


User avatar
Active Member

Posts

Joined
Sun Jun 03, 2012 11:01 pm
Location - Italy

Post by fashionbrasil » Mon Mar 17, 2014 2:16 am

Ciao Flanderes,

Grazie per il tuo suggerimento, però ho già provato ad installare questa estensione e non ha funzionato per il mio caso.

Grazie ancora,

Everton

Newbie

Posts

Joined
Tue Jun 11, 2013 12:08 am


Post by fashionbrasil » Mon Mar 17, 2014 3:46 am

Hi Mel,

I sent the email with all the data for access to FTP and Admin

thank you very much

Everton

Newbie

Posts

Joined
Tue Jun 11, 2013 12:08 am


Post by melbagnato » Mon Mar 17, 2014 12:42 pm

Hi Everton,

I have fixed your problem so that your site displays. You had an issue with your "Li Slider Module". The error log said the following:

Code: Select all

PHP Notice:  Error: Could not load template /home/tfashion/public_html/catalog/view/theme/default/template/module/lislideshow.tpl! in /home/tfashion/public_html/vqmod/vqcache/vq2-system_engine_controller.php on line 71
I disabled this module and now your site appears again.

I have also renamed your error.txt file to error_1.txt (as the file was over 650mb in size and wouldn't display in your administration console). It is a good practice to archive this error log each month/year to make sure it stays small in size. If you had done this earlier, you would have seen the template error yourself in the admin error log screen.

Also, your site is installed in the root "public_html" directory, which means that if you install anything else it will mess up the directory structure. You might want to explore moving it to a subdirectory.

Also, you don't seem to have any backups of your database or file structure set up, so you might want to look at doing that too.

Within OpenCart you have a few additional errors which need fixing (as otherwise they will fill up your error log again). I will look into these and let you know when they are fixed.

- Mel

http://online.enterpriseconsulting.com.au

Site with OpenCart extensions & code downloads, many new extensions coming soon!
Follow us on twitter for more updates

Image


User avatar
Active Member

Posts

Joined
Wed Jan 13, 2010 1:39 pm
Location - Melbourne

Post by melbagnato » Mon Mar 17, 2014 2:54 pm

Hi Everton,

I have fixed the following line of code:

Code: Select all

'smallimage_old'   	 => $image['smallimage'],
to this:

Code: Select all

//       'smallimage_old'   	 => $image['smallimage'],
         'smallimage' => $this->model_tool_image->resize($result['image'],  400, 400),
Normally I would use vqmod to do this, but I wasn't sure what vqmods you have already installed, so I just changed the source code as this doesn't appear to be a standard line from OpenCart.

This has stopped the main error you were getting that was filling up your Error Log. I have cleared the Error Log, so anything new that appears can be fixed. (for example, you seem to have an error with your templates/vqmods that also needs fixing).

Also, your site does let you choose different versions of php to run (from version 5.1 to 5.5), in case you need to change this in the future.

Hope this solves all your problems. If it does, please add [solved] to your title.

- Mel

http://online.enterpriseconsulting.com.au

Site with OpenCart extensions & code downloads, many new extensions coming soon!
Follow us on twitter for more updates

Image


User avatar
Active Member

Posts

Joined
Wed Jan 13, 2010 1:39 pm
Location - Melbourne

Post by fashionbrasil » Mon Mar 17, 2014 10:21 pm

Hi Mel,
I thank you for everything, the only thing is that I usually use Spicylicious theme, instead I get the default, and if I go in system / settings / store, template, does not allow me to choose. Second thing you could be?

I apologize if I'm doing too much work, let me know how much you take for this job

Many thanks,
Everton

Newbie

Posts

Joined
Tue Jun 11, 2013 12:08 am


Post by melbagnato » Mon Mar 17, 2014 10:29 pm

I will take a look and get this working for you.

-Mel

http://online.enterpriseconsulting.com.au

Site with OpenCart extensions & code downloads, many new extensions coming soon!
Follow us on twitter for more updates

Image


User avatar
Active Member

Posts

Joined
Wed Jan 13, 2010 1:39 pm
Location - Melbourne
Who is online

Users browsing this forum: No registered users and 8 guests